package com.upyuns.platform.rs.website.controller;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.CommonInfoBiz;
import com.upyuns.platform.rs.website.dto.CommonInfoDto;
import com.upyuns.platform.rs.website.entity.CommonInfo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("commonInfo")
public class CommonInfoController extends BaseController<CommonInfoBiz,CommonInfo> {

	@GetMapping(value = "getByType")
	public ObjectRestResponse getByType(Integer type) {
		return ObjectRestResponse.succ(baseBiz.getByType(type));
	}

	@GetMapping(value = "getAll")
	public ObjectRestResponse getAll(CommonInfoDto commonInfoDto) {
		return baseBiz.getAll(commonInfoDto);
	}

}